import { SvelteComponentTyped } from "svelte";
import type { PymatgenStructure } from './structure';
declare const __propDef: {
    props: {
        structure?: PymatgenStructure | undefined;
        atom_radius?: number | undefined;
        same_size_atoms?: boolean | undefined;
        camera_position?: [number, number, number] | undefined;
        zoom?: number | undefined;
        zoom_speed?: number | undefined;
        pan_speed?: number | undefined;
        show_controls?: boolean | undefined;
        show_cell?: "wireframe" | "surface" | null | undefined;
        controls?: HTMLElement | null | undefined;
        toggle_controls_btn?: HTMLButtonElement | null | undefined;
        cell_opacity?: number | undefined;
        show_vectors?: boolean | undefined;
        vector_colors?: [string, string, string] | undefined;
        vector_origin?: {
            x: number;
            y: number;
            z: number;
        } | undefined;
        width?: number | undefined;
        height?: number | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        'controls-toggle': {
            show_controls: boolean;
        };
    };
};
export type StructureProps = typeof __propDef.props;
export type StructureEvents = typeof __propDef.events;
export type StructureSlots = typeof __propDef.slots;
export default class Structure extends SvelteComponentTyped<StructureProps, StructureEvents, StructureSlots> {
}
export {};
